%this script analyzes the relationship between density and elevation
%for Pino Giordano
clear
clf
hold on
gpj=load('pgdata.csv');
dpj=load('densitypg.csv');
elev=gpj(:,4);
D=dpj(:,3);
[rho,pval]=corrcoef(elev,D)
p=polyfit (elev, D,1)

ah(1)=subplot(2,2,1);
plot(elev,D, 'bo');
hold on
y=polyval (p,elev);
p=plot (elev, y, '-r', 'LineWidth', 2)
xlabel('elevation [m]')
ylabel('density [g/mL]')
legs=legend(sprintf('Densities, rho=%5.2f, pval=%5.2f',...
    rho(1,2),pval(1,2)))
ah(2)=subplot(2,2,2);
[a,b]=hist(D);
b1=bar(b,a,1);
b1.FaceColor='g';
xlabel('density [m]')


sgtitle('density and elevation trends in pino giordana')


