clear;
clf;

pg = readtable('csv_lab_files/pgph.csv');
en = readtable('csv_lab_files/enotreph.csv');
ss = readtable('csv_lab_files/santasevph.csv');

subplot(131);

histogram(pg{:,3});
m = mean(pg{:,3});
s = std(pg{:,3});
ylabel('pH')
th = title('pH Distributions for Pinogiordano');
titlePos = get( th , 'position');
titlePos(1) = 6.5;
titlePos(2) = 16.5;
set( th , 'position' , titlePos);
yl = ylim;
xlim([5 8.5])
xline(m, 'Color', 'r', 'LineWidth', 2);
xline([-s+m m+s],'Color', 'b', 'LineWidth', 2,'LineStyle','--');
sMean = sprintf('  Mean = %.3f\n  SD = %.3f', m, s);
text(6, -1.3, sMean, 'Color', 'r', ...
	'FontWeight', 'bold', 'FontSize', 12, ...
	'EdgeColor', 'b');

subplot(132);

histogram(en{:,3});
m = mean(en{:,3});
s = std(en{:,3});
ylabel('Amount of Silt (cm)')
th = title('pH Distributions for Enotre');
titlePos = get( th , 'position');
titlePos(1) = 6.5;
titlePos(2) = 16.5;
set( th , 'position' , titlePos);
yl=ylim;
xlim([5 8.5])
xline(m, 'Color', 'r', 'LineWidth', 2);
xline([-s+m m+s],'Color', 'b', 'LineWidth', 2,'LineStyle','--');
sMean = sprintf('  Mean = %.3f\n  SD = %.3f', m, s);
text(6, -1.3, sMean, 'Color', 'r', ...
	'FontWeight', 'bold', 'FontSize', 12, ...
	'EdgeColor', 'b');


subplot(133);

histogram(ss{:,3});
m = mean(ss{:,3});
s = std(ss{:,3});
ylabel('Amount of Clay (cm)')
th = title('pH Distributions for Santa Severina');
titlePos = get( th , 'position');
titlePos(1) = 6.5;
titlePos(2) = 16.5;
set( th , 'position' , titlePos);
ylim([0 16])
yl=ylim;
xlim([5 8.5])
xline(m, 'Color', 'r', 'LineWidth', 2);
xline([-s+m m+s],'Color', 'b', 'LineWidth', 2,'LineStyle','--');
sMean = sprintf('  Mean = %.3f\n  SD = %.3f', m, s);
text(6, -1.3, sMean, 'Color', 'r', ...
	'FontWeight', 'bold', 'FontSize', 12, ...
	'EdgeColor', 'b');

saveas(gcf,['pHhists', '.jpg'])
