clear;
clf;

%make a histogram for each sand silt clay /frequencies plotted y axis so 3
%histogragrams in total

pg = readtable('csv_lab_files/pgsscr.csv');
en = readtable('csv_lab_files/enotresscr.csv');
ss = readtable('csv_lab_files/santasevsscr.csv');

subplot(131);
mpgs = mean(pg{:,3},'omitnan');
mens = mean(en{:,3});
msss = 0;
spgs = std(pg{:,3},'omitnan');
sens = std(en{:,3});
ssss = 0;
edata_means = [mpgs, mens, msss];
eerrorbnds = [spgs, sens, ssss];
x = categorical({'Pinogiordano','Enotre','Santa Severina'});
bar(x,edata_means);
hold on
er = errorbar(x,edata_means,-eerrorbnds,eerrorbnds);
er.Color = [0 0 0];                            
er.LineStyle = 'none';
er.LineWidth = 1.5;
ylabel('Amount of Sand (cm)')
th = title('The Mean and STDs of PG, Santa Sev., Enotre Sand');

subplot(132);
mpgsi = mean(pg{:,4},'omitnan');
mensi = mean(en{:,4});
msssi = mean(ss{:,4});
spgsi = std(pg{:,4},'omitnan');
sensi = std(en{:,4});
ssssi = std(ss{:,4});
edata_means = [mpgsi, mensi, msssi];
eerrorbnds = [spgsi, sensi, ssssi];
x = categorical({'Pinogiordano','Enotre','Santa Severina'});
bar(x,edata_means,'red');
hold on
er = errorbar(x,edata_means,-eerrorbnds,eerrorbnds);
er.Color = [0 0 0];                            
er.LineStyle = 'none';
er.LineWidth = 1.5;
ylabel('Amount of Silt (cm)')
th = title('The Mean and STDs of PG, Santa Sev., Enotre Silt');

subplot(133);

mpgc = mean(pg{:,5},'omitnan');
menc = mean(en{:,5});
mssc = mean(ss{:,5});
spgc = std(pg{:,5},'omitnan');
senc = std(en{:,5});
sssc = std(ss{:,5});

edata_means = [mpgc, menc, mssc];
eerrorbnds = [spgc, senc, sssc];
x = categorical({'Pinogiordano','Enotre','Santa Severina'});
bar(x,edata_means,'magenta');
hold on
er = errorbar(x,edata_means,-eerrorbnds,eerrorbnds);
er.Color = [0 0 0];                            
er.LineStyle = 'none';
er.LineWidth = 1.5;
ylabel('Amount of Clay (cm)')
th = title('The Mean and STDs of PG, Santa Sev., Enotre Clay');


clf;
figure(3)
x1 = {'Pinogiordano','Enotre','Santa Severina'};
edata_means = [mpgs mpgsi mpgc; mens mensi menc; msss msssi mssc];
eerrorbnds = [spgs spgsi spgc; sens sensi senc; ssss ssssi sssc];
b = bar(edata_means,'grouped');
set(gca,'xticklabel',x1)
hold on
% Calculate the number of groups and number of bars in each group
[ngroups,nbars] = size(edata_means);
% Get the x coordinate of the bars
x = nan(nbars, ngroups);
for i = 1:nbars
    x(i,:) = b(i).XEndPoints;
end
% Plot the errorbars
hold on
er = errorbar(x',edata_means,eerrorbnds,'k','linestyle','none','LineWidth',1.5);
legend('Sand','Silt','Clay')
ylabel('Amount (cm)')
th = title('The Mean and STDs of PG, Santa Sev., Enotre (Sand Silt Clay)');
saveas(gcf,['ssc_ratios_bar', '.jpg'])

figure(4)
totpg = mpgs+mpgsi+ mpgc;
toten = mens+mensi+menc;
totss = msss+msssi+mssc;
pg = [mpgs/totpg, mpgsi/totpg, mpgc/totpg];
en = [mens/toten, mensi/toten, menc/toten];
ss = [msss/totss, msssi/totss, mssc/totss];
labels={'Sand','Silt','Clay'};
lgd = legend(labels,'Location','south');
subplot(131)
pie(pg,'%.3f%%')
th = title('Mean Sand Silt Clay for Pinogiordano');
titlePos = get( th , 'position');
% change the x value  to 0
titlePos(2) = 1.35;
% update the position
set( th , 'position' , titlePos);
subplot(132)
pie(en,'%.3f%%')
th = title('Mean Sand Silt Clay for Enotre');
titlePos = get( th , 'position');
% change the x value  to 0
titlePos(2) = 1.35;
% update the position
set( th , 'position' , titlePos);
subplot(133)
pie(ss,'%.3f%%')
th = title('Mean Sand Silt Clay for Santa Severina');
titlePos = get( th , 'position');
% change the x value  to 0
titlePos(2) = 1.35;
% update the position
set( th , 'position' , titlePos);
lgd = legend(labels,'Location','south');

saveas(gcf,['ssc_ratios_pie', '.jpg'])